Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.config.report
Class BenchmarkReportConfig

    java.lang.Object
      org.optaplanner.benchmark.config.report.BenchmarkReportConfig

    public class BenchmarkReportConfig

extends Object

Constructor Summary
`BenchmarkReportConfig()`

Method Summary
`BenchmarkReport` | `buildBenchmarkReport(PlannerBenchmarkResult plannerBenchmark)`
`Locale` | `determineLocale()`
`Locale` | `getLocale()`
`Class<? extends Comparator<SolverBenchmarkResult>>` | `getSolverRankingComparatorClass()`
`SolverRankingType` | `getSolverRankingType()`
`Class<? extends SolverRankingWeightFactory>` | `getSolverRankingWeightFactoryClass()`
`void` | `inherit(BenchmarkReportConfig inheritedConfig)`
`void` | `setLocale(Locale locale)`
`void` | `setSolverRankingComparatorClass(Class<? extends Comparator<SolverBenchmarkResult>> solverRankingComparatorClass)`
`void` | `setSolverRankingType(SolverRankingType solverRankingType)`
`void` | `setSolverRankingWeightFactoryClass(Class<? extends SolverRankingWeightFactory> solverRankingWeightFactoryClass)`
`protected void` | `supplySolverRanking(BenchmarkReport benchmarkReport)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BenchmarkReportConfig

    public BenchmarkReportConfig()

Method Detail

### getLocale

    public Locale getLocale()

### setLocale

    public void setLocale(Locale locale)

### getSolverRankingType

    public SolverRankingType getSolverRankingType()

### setSolverRankingType

    public void setSolverRankingType(SolverRankingType solverRankingType)

### getSolverRankingComparatorClass

    public Class<? extends Comparator<SolverBenchmarkResult>> getSolverRankingComparatorClass()

### setSolverRankingComparatorClass

    public void setSolverRankingComparatorClass(Class<? extends Comparator<SolverBenchmarkResult>> solverRankingComparatorClass)

### getSolverRankingWeightFactoryClass

    public Class<? extends SolverRankingWeightFactory> getSolverRankingWeightFactoryClass()

### setSolverRankingWeightFactoryClass

    public void setSolverRankingWeightFactoryClass(Class<? extends SolverRankingWeightFactory> solverRankingWeightFactoryClass)

### buildBenchmarkReport

    public BenchmarkReport buildBenchmarkReport(PlannerBenchmarkResult plannerBenchmark)

### determineLocale

    public Locale determineLocale()

### supplySolverRanking

    protected void supplySolverRanking(BenchmarkReport benchmarkReport)

### inherit

    public void inherit(BenchmarkReportConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.